classification
Title: Python Documentation bugs
Type: Stage:
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Retro, docs@python, eric.araujo, georg.brandl, lemburg
Priority: normal Keywords:

Created on 2010-10-19 19:19 by Retro, last changed 2010-10-29 04:51 by georg.brandl. This issue is now closed.

Messages (8)
msg119160 - (view) Author: Boštjan Mejak (Retro) Date: 2010-10-19 19:19
Please read the docs here: http://docs.python.org/py3k/reference/expressions#boolean-operations

This is the last sentence in the '5.10. Boolean operations' text):
([...] Because not has to >>>invent<<< a value anyway, it does not bother to return a value of the same type as its argument, so e.g., not 'foo' yields False, not ''.)

Fix to:
([...] Because not has to >>>invert<<< a value anyway, it does not bother to return a value of the same type as its argument, so e.g., not 'foo' yields False, not ''.)
msg119162 - (view) Author: Boštjan Mejak (Retro) Date: 2010-10-19 20:09
There is one more typo bug I noted in the documentation. Please go here: http://docs.python.org/library/locale#locale.setlocale

Fix this text...
setlocale() is not >>>thread safe<<< on most systems.

...like this:
setlocale() is not >>>thread-safe<<< on most systems.
msg119165 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-19 21:08
The first one is not a typo.  Fixed the second one (and similar occurrences of "thread safe") in r85731.
msg119349 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-10-21 22:51
Adjectives require hyphens but nouns do not.  “thread-safety” should be reverted to “thread safety”.  I haven’t searched for a grammar reference, but you can take Wikipedia as an example: “Thread safety is a computer programming concept applicable in the context of multi-threaded programs. A piece of code is thread-safe if it functions correctly during simultaneous execution by multiple threads.”
msg119352 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2010-10-21 23:19
Éric Araujo wrote:
> 
> Éric Araujo <merwok@netwok.org> added the comment:
> 
> Adjectives require hyphens but nouns do not.  “thread-safety” should be reverted to “thread safety”.  I haven’t searched for a grammar reference, but you can take Wikipedia as an example: “Thread safety is a computer programming concept applicable in the context of multi-threaded programs. A piece of code is thread-safe if it functions correctly during simultaneous execution by multiple threads.”

Are you sure ?

http://en.wikipedia.org/wiki/English_compound#Types_of_compound_nouns

This appears to be more a question of personal style than a
grammar rule.
msg119365 - (view) Author: Boštjan Mejak (Retro) Date: 2010-10-22 08:01
All the words that Georg Brandl fixed for this issue are okay as they stand.
Please leave them as they are written. Thank you.

On Fri, Oct 22, 2010 at 1:19 AM, Marc-Andre Lemburg
<report@bugs.python.org>wrote:

>
> Marc-Andre Lemburg <mal@egenix.com> added the comment:
>
> Éric Araujo wrote:
> >
> > Éric Araujo <merwok@netwok.org> added the comment:
> >
> > Adjectives require hyphens but nouns do not.  “thread-safety” should be
> reverted to “thread safety”.  I haven’t searched for a grammar reference,
> but you can take Wikipedia as an example: “Thread safety is a computer
> programming concept applicable in the context of multi-threaded programs. A
> piece of code is thread-safe if it functions correctly during simultaneous
> execution by multiple threads.”
>
> Are you sure ?
>
> http://en.wikipedia.org/wiki/English_compound#Types_of_compound_nouns
>
> This appears to be more a question of personal style than a
> grammar rule.
>
> ----------
> nosy: +lemburg
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue10147>
> _______________________________________
>
msg119844 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-10-29 02:32
Marc-André: I do recall it being a grammar rule.  Take for example the difference between the compound noun “a system call” and the compound noun used as adjective “system-level” (in “a system-level call”).

Again, I’m not on a crusade here, just reacting on my gut feeling about a minor change.  I can ask English professors if you want :)
msg119852 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-29 04:51
I can only repeat myself and point to <http://www.nerdcore.de/wp/2010/10/19/stephen-frys-message-to-grammer-nazis/>.
History
Date User Action Args
2010-10-29 04:51:29georg.brandlsetmessages: + msg119852
2010-10-29 02:33:59eric.araujosetfiles: - unnamed
2010-10-29 02:32:43eric.araujosetmessages: + msg119844
2010-10-22 08:01:50Retrosetfiles: + unnamed

messages: + msg119365
2010-10-21 23:19:05lemburgsetnosy: + lemburg
messages: + msg119352
2010-10-21 22:51:04eric.araujosetnosy: + eric.araujo

messages: + msg119349
versions: - Python 2.6, Python 2.5, 3rd party, Python 3.3
2010-10-19 21:08:29georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg119165

resolution: fixed
2010-10-19 20:09:19Retrosetmessages: + msg119162
2010-10-19 19:19:46Retrocreate